Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceLogs, drains and alerts

Get a log drain

GET
/v1/drains/{id}

One drain with its delivery health.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^drn_[a-z0-9]{8,32}$

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/drains/string"
{  "object": "log_drain",  "id": "string",  "name": "string",  "enabled": true,  "config": {    "type": "webhook",    "url": "http://example.com"  },  "filter": {    "kinds": [      "call"    ],    "provider": [      "string"    ],    "capability": [      "string"    ],    "endpoint_id": [      "string"    ],    "key_id": [      "string"    ],    "app_id": [      "string"    ],    "mode": [      "string"    ],    "client_mode": [      "sync"    ],    "supply_mode": [      "byok"    ],    "credential": [      "managed"    ],    "status": [      "hit"    ],    "http_status": [      100    ],    "error_code": [      "string"    ],    "run_id": "string",    "waterfall_id": "string",    "latency_min": 0,    "cost_min": 0,    "query": "string",    "sample": 0  },  "batch": {    "max_events": 200,    "max_wait_s": 5  },  "credential_fields": [    "string"  ],  "health": {    "status": "idle",    "delivered_events": 0,    "delivered_batches": 0,    "failed_batches": 0,    "dead_lettered": 0,    "last_success_at": "2019-08-24T14:15:22Z",    "last_error_at": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}